use crate::models;
use leptos::prelude::*;

#[component]
#[tracing::instrument(skip_all)]
pub fn ProblemInfo(problem: models::Problem) -> impl IntoView {
    tracing::trace!("Enter problem info");

    let name = problem.name;
    let set_by = problem.set_by;
    let method = problem.method;

    view! {
        <div class="grid grid-rows-none grid-cols-[auto,1fr]">
            <NameValue name="Name:" value=name />
            <NameValue name="Method:" value=method.to_string() />
            <NameValue name="Set By:" value=set_by />
        </div>
    }
}

#[component]
#[tracing::instrument(skip_all)]
fn NameValue(#[prop(into)] name: String, #[prop(into)] value: String) -> impl IntoView {
    view! {
            <p class="text-orange-300 mr-4">{name}</p>
            <p class="text-white font-semibold">{value}</p>
    }
}
